Subject: Re: [mpls-tp] MIPs receiving OAM packets

From: Jeff Tantsura <[email-masked]>
Date: Sat, 20 Mar 2010 16:45:36 -0400

+1

Regards,
Jeff

________________________________
From: [email-masked]
To: Loa Andersson
Cc: [email-masked]
Sent: Sat Mar 20 14:06:54 2010
Subject: Re: [mpls-tp] MIPs receiving OAM packets

Dear Loa,
you wrote:
"Each individual OAM protocol specification needs determine if it is
necessary to to identify the intended receiver positively, and if that
is the case include necessary information."

Different OAM protocols have different security implications and these shape mandatory and optional authentication methods. I consider explicit identification of a Sender and/or Receiver as one of such methods. Perhaps the recommendation will be more generic if we state:
"Each individual OAM protocol specification needs to evaluate security implications and select necessary authentication mechanisms accordingly. Authentication mechanisms may include explicit Sender and/or Target ID, Authentication keys, etc."

Regards,
Greg

PS. I've noticed that several OAM protocols include Sender/Target IDs as ACH TLVs while the Loopback OAM included them into the Loopback message. Perhaps some uniformity across MPLS-TP OAM protocols that use G-ACH may be suggested as well.

On Sat, Mar 20, 2010 at 11:14 AM, Loa Andersson <[email-masked]<mailto:[email-masked]>> wrote:
Dave,

ok - so far so good.

But let us say that the message received is a loopback request,
then the wrong MIP might set the LSP in loopback mode and this
will only be detected when the MEP initiating the action receives
the response message. The MEP will have to undo the action and then
redo it for the wright MIP

Now if for the same reason that the message was delivered wrongly
the first time ...

/Loa

PS

Now the loopback draft has the receiving MIPid in the request message
so that takes care of this particular situation. But I'm really looking
for what we need to say on a generic level. Maybe it is something like
"Each individual OAM protocol specification needs determine if it is
necessary to to identify the intended receiver positively, and if that
is the case include necessary information."

On 2010-03-20 10:43, David Allan I wrote:
Hi Loa:

MIP addressing being based on TTL IMO is relative... It is the MEPs problem to determine if a MIP response is from an unexpected MIP rather than targeting an absolute MIP location with the outgoing transaction. The MIPs job is simply detecting it received a message from an unexpected MEP (not in the MEG)...

The way it works, not everyone is responsible for knowing everything...

Cheers
D

-----Original Message-----
From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Loa Andersson
Sent: Saturday, March 20, 2010 1:33 PM
To: [email-masked]<mailto:[email-masked]>
Subject: [mpls-tp] MIPs receiving OAM packets

All,

I've one concern that I don't really know if we have covered.

Consider the situation where you have an LSP with MEPs at end point and a number of MIPs in between.

A MIP receives an OAM packet. For some reason this OAM packet was intended for some of the other MIP along the same LSP.

Isn't it necessary that the MIP can positively determine that the OAM packet is intended for itself?

If so which info does it use to do so? In which document did (do) we put the requirement.

/Loa

--

Loa Andersson                         email: [email-masked]<mailto:[email-masked]>
Sr Strategy and Standards Manager            [email-masked]<mailto:[email-masked]>
Ericsson Inc                          phone: +46 10 717 52 13
                                            +46 767 72 92 13
_______________________________________________
mpls-tp mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/mpls-tp